Bug 1307781 - mozjs17: FTBFS in rawhide
mozjs17: FTBFS in rawhide
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: mozjs17 (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Colin Walters
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F24FTBFS
  Show dependency treegraph
 
Reported: 2016-02-13 16:52 EST by Fedora Release Engineering
Modified: 2016-02-25 17:41 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-25 17:41:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
build.log (392.96 KB, text/plain)
2016-02-13 16:52 EST, Fedora Release Engineering
no flags Details
root.log (85.73 KB, text/plain)
2016-02-13 16:52 EST, Fedora Release Engineering
no flags Details
state.log (629 bytes, text/plain)
2016-02-13 16:52 EST, Fedora Release Engineering
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNU Compiler Collection 69688 None None None 2016-02-25 17:41 EST

  None (edit)
Description Fedora Release Engineering 2016-02-13 16:52:44 EST
Your package mozjs17 failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=12841540

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild
Comment 1 Fedora Release Engineering 2016-02-13 16:52:46 EST
Created attachment 1125404 [details]
build.log
Comment 2 Fedora Release Engineering 2016-02-13 16:52:47 EST
Created attachment 1125405 [details]
root.log
Comment 3 Fedora Release Engineering 2016-02-13 16:52:48 EST
Created attachment 1125406 [details]
state.log
Comment 4 Jan Kurik 2016-02-24 09:55:19 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 5 Yaakov Selkowitz 2016-02-25 17:41:50 EST
/builddir/build/BUILD/mozjs17.0.0/js/src/jsapi-tests/testScriptObject.cpp:40:67: error: size of array 'uc_code' is not an integral constant-expression
 jschar ScriptObjectFixture::uc_code[ScriptObjectFixture::code_size];
                                                                   ^
This is PR69688, fixed in gcc-6.0.0-0.11.fc24.  Package built without further modifications; closing.

Note You need to log in before you can comment on or make changes to this bug.